Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::ModelManager Class Reference

モデルマネージャ More...

`#include <ModelManager.h>`

Inheritance diagram for Lamp::ModelManager:

List of all members.

## Public Member Functions
virtual StandardModel * | createStandardModel (const String &modelName)
| 標準モデルの作成
virtual CharacterModel * | createCharacterModel (const String &modelName)
| キャラクタモデルの作成
## Protected Member Functions
| ModelManager (Scene *scene)
| コンストラクタ
## Friends
class | Scene

## Detailed Description

モデルマネージャ

Definition at line 37 of file ModelManager.h.

## Constructor & Destructor Documentation

Lamp::ModelManager::ModelManager | ( | Scene * | scene | ) | `[protected]`

  | コンストラクタ Parameters:
  scene | シーン
Definition at line 32 of file ModelManager.cpp.

## Member Function Documentation

CharacterModel * Lamp::ModelManager::createCharacterModel | ( | const String & | modelName | ) | `[virtual]`

  | キャラクタモデルの作成 すでに同じモデル名のモデルが存在するとエラーになります。 空文字列を名前に指定するとエラーになります。 Parameters:
  modelName | モデル名
Returns: 作成されたモデル Definition at line 45 of file ModelManager.cpp. References Lamp::SceneObjectManagerTemplate< Model >::addDatabase(), Lamp::SceneObjectManagerTemplate< Model >::checkName(), Lamp::SceneObjectManagerTemplate< Model >::getScene(), and NULL. Referenced by Lamp::CharacterModel::copyCharacterModel(), Lamp::TextSceneLoader::readCharacterModel(), and Lamp::BinarySceneLoader::readCharacterModel().

StandardModel * Lamp::ModelManager::createStandardModel | ( | const String & | modelName | ) | `[virtual]`

  | 標準モデルの作成 すでに同じモデル名のモデルが存在するとエラーになります。 空文字列を名前に指定するとエラーになります。 Parameters:
  modelName | モデル名
Returns: 作成されたモデル Definition at line 37 of file ModelManager.cpp. References Lamp::SceneObjectManagerTemplate< Model >::addDatabase(), Lamp::SceneObjectManagerTemplate< Model >::checkName(), Lamp::SceneObjectManagerTemplate< Model >::getScene(), and NULL. Referenced by Lamp::StandardModel::copyStandardModel(), Lamp::TextSceneLoader::readStandardModel(), and Lamp::BinarySceneLoader::readStandardModel().

The documentation for this class was generated from the following files:

- ModelManager.h
- ModelManager.cpp